#################################################
#
#  (C) 2016 Alexander Golubev
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/libtdegames
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)

add_definitions(
  -DQT3
)

##### kgoldrunner (executable) ##################

tde_add_executable( kgoldrunner AUTOMOC
  SOURCES kgoldrunner.cpp kgrcanvas.cpp kgrfigure.cpp kgrgame.cpp kgrobject.cpp
    main.cpp kgrdialog.cpp
  LINK tdecore-shared tdeui-shared tdeio-shared tdegames-shared tdeprint-shared
  DESTINATION ${BIN_INSTALL_DIR}
)


##### icons #####################################

tde_install_icons( kgoldrunner )


##### other data ################################

tde_create_translated_desktop( KGoldrunner.desktop )

install( FILES kgoldrunnerui.rc
  DESTINATION ${DATA_INSTALL_DIR}/kgoldrunner
)
